PImage img;
int cellsizeX =7; 
int cellsizeY = 4;
int columns, rows;  

void setup() {
  size(720, 684); 
  img = loadImage("2.jpeg");  
  columns = img.width / cellsizeX;  
  rows = img.height / cellsizeY;
}

void draw() {
  background(0);
  for ( int i = 0; i < columns; i++) {
    for ( int j = 0; j < rows; j++) {
      int x = i*cellsizeX + cellsizeX/2; 
      int y = j*cellsizeY + cellsizeY/2; 
      int loc = x + y*img.width; 

      pushMatrix();
      translate(x, y);
        float dimY=(cellsizeY)*brightness(img.pixels[loc])/120;
        float rot=random(30);
        float a=random(300,200);
        float b=random(150);
        float c=random(150);
        color c1 = color(a,b,c);
      rotate(rot*PI/1000);
      scale(dimY*0.125);
      //fill(255);
      fill(c1);
      noStroke();  
      rectMode(CENTER);
      //rect(0, 0, dimY*cellsizeX, dimY*cellsizeY);
      rect(cellsizeX/2, cellsizeY/2, cellsizeX, cellsizeY);
      //ellipseMode(CENTER);
      //ellipse(0, 0, cellsizeX, cellsizeY);
      popMatrix();
      noLoop();
    }
  }
}
void mouseReleased() {
  saveFrame(); 
}
